//
// Created by william on 7/23/24.
//

#include "dbg_nametable.h"
#include "../include/ppu.h"

DebugNameTable dbg_nametable;

void dbg_nametable_build_bank(byte* nametable, DebugTile *bank) {
    for (int i = 0; i < NAMETABLE_BANK_SIZE; i++) {
        DebugTile *tile = &bank[i];

        tile->tile_id = nametable[i];
    }
}

void dbg_nametable_update() {
    dbg_nametable_build_bank(ppu_get_state()->memory.nametable_0, dbg_nametable.bank_0);
    dbg_nametable_build_bank(ppu_get_state()->memory.nametable_1, dbg_nametable.bank_1);
}